<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{777252DF-A7BE-49A9-8D58-5333AA91801D}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>XuiWorkshop</RootNamespace>
    <AssemblyName>XuiWorkshop</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>Icons\Icon.ico</ApplicationIcon>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="WeifenLuo.WinFormsUI.Docking">
      <HintPath>dll\WeifenLuo.WinFormsUI.Docking.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Constants.cs" />
    <Compile Include="FileIO\BEBinaryReader.cs" />
    <Compile Include="FileIO\BEBinaryWriter.cs" />
    <Compile Include="Forms\About.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\About.Designer.cs">
      <DependentUpon>About.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\MainForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\MainForm.Designer.cs">
      <DependentUpon>MainForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\FormProperties.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\FormProperties.Designer.cs">
      <DependentUpon>FormProperties.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\FormRecursive.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\FormRecursive.Designer.cs">
      <DependentUpon>FormRecursive.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\XmlExtensions.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\XmlExtensions.Designer.cs">
      <DependentUpon>XmlExtensions.cs</DependentUpon>
    </Compile>
    <Compile Include="Generic\ByteArray.cs" />
    <Compile Include="Generic\Generic.cs" />
    <Compile Include="Generic\IniFile.cs" />
    <Compile Include="Generic\Log.cs" />
    <Compile Include="Generic\LookupTable.cs" />
    <Compile Include="Generic\Xui.cs" />
    <Compile Include="Generic\XuiClass.cs" />
    <Compile Include="Generic\XurEnums.cs" />
    <Compile Include="Generic\XurStructs.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Forms\FormXui.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\FormXui.Designer.cs">
      <DependentUpon>FormXui.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\FormXur.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\FormXur.Designer.cs">
      <DependentUpon>FormXur.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\FormTimelines.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\FormTimelines.Designer.cs">
      <DependentUpon>FormTimelines.cs</DependentUpon>
    </Compile>
    <Compile Include="XuiTools\XmlExtensionParse.cs" />
    <Compile Include="XuiTools\XuiInjectExt.cs" />
    <Compile Include="XuiTools\XuiReader.cs" />
    <Compile Include="XuiTools\XuiWriter.cs" />
    <Compile Include="XurTools\XurReader.cs" />
    <Compile Include="XurTools\XurWriter.cs" />
    <EmbeddedResource Include="Forms\About.resx">
      <DependentUpon>About.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\MainForm.resx">
      <DependentUpon>MainForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\FormProperties.resx">
      <DependentUpon>FormProperties.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\FormRecursive.resx">
      <DependentUpon>FormRecursive.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\FormTimelines.resx">
      <DependentUpon>FormTimelines.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\XmlExtensions.resx">
      <DependentUpon>XmlExtensions.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <EmbeddedResource Include="Forms\FormXui.resx">
      <DependentUpon>FormXui.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\FormXur.resx">
      <DependentUpon>FormXur.cs</DependentUpon>
    </EmbeddedResource>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup />
  <ItemGroup>
    <Content Include="Icons\Icon.ico" />
    <Content Include="Icons\Icon_1.ico" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PostBuildEvent>"$(ProjectDir)InsertIcons.exe" "$(TargetPath)" "$(ProjectDir)icons"</PostBuildEvent>
  </PropertyGroup>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>